# -*- coding: utf-8 -*-

# Authors: Roberto Alsina <roberto.alsina@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""The user interface for the Ubuntu One Installer's SSO client."""

from PyQt4 import QtCore

import ubuntu_sso.qt.gui as sso_gui


class UbuntuSSOClientGUI(object):
    """A custom Client GUI for SSO."""
    def __init__(self, app_name, tc_url, help_text,
                 window_id=0, login_only=False):
        """Create a new instance."""

        # create the controller and the ui, then set the cb and call the show
        # method so that we can work
        self.controller = sso_gui.UbuntuSSOWizardController(app_name)
        self.view = QtCore.QCoreApplication.instance().window
