# -*- coding: utf-8 -*-

# Authors: Manuel de la Pena <manuel@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Reactor installation for windows."""

import sys

from PyQt4 import Qt

# pylint: disable=E1101, F0401, W0404


def main():
    """Start the txnamedpipes reactor and open the main window."""

    # The following cannot be imported outside this function
    # because u1trial already provides a reactor.
    # pylint: disable=W0404, F0401

    app = Qt.QApplication(sys.argv)
    import qtreactor.qt4reactor
    qtreactor.qt4reactor.install()

    from ubuntuone_installer.gui.qt.gui import MainWindow
    from twisted.internet import reactor

    def really_quit():
        """Close the application and cleanup."""
        reactor.stop()

    window = MainWindow(close_callback=really_quit)
    app.window = window
    window.show()
    reactor.run()
